src/
2007-05-18  Roland McGrath  <roland@redhat.com>

	* unstrip.c (copy_elided_sections): Match up non-NOBITS sections with
	stripped file, so as not to duplicate a section copied in both.

	* strip.c (handle_elf): Keep SHT_NOTE section copies in the debug file.

tests/
2007-05-18  Roland McGrath  <roland@redhat.com>

	* run-strip-test4.sh (stripped, debugfile): Use new reference files.
	* testfile37.bz2: New data file.
	* testfile37.debug.bz2: New data file.
	* run-unstrip-test2.sh: New file.
	* Makefile.am (TESTS, EXTRA_DIST): Add them.

diff --git a/tests/run-strip-test.sh b/tests/run-strip-test.sh
index 9a82d53..480101e 100755
--- a/tests/run-strip-test.sh
+++ b/tests/run-strip-test.sh
@@ -36,16 +36,18 @@
 
 testrun ../src/strip -o testfile.temp $debugout $original
 
-cmp $stripped testfile.temp
+status=0
+
+cmp $stripped testfile.temp || status=$?
 
 # Check elflint and the expected result.
-testrun ../src/elflint -q testfile.temp
+testrun ../src/elflint -q testfile.temp || status=$?
 
 test -z "$debugfile" || {
-cmp $debugfile testfile.debug.temp
+cmp $debugfile testfile.debug.temp || status=$?
 
 # Check elflint and the expected result.
-testrun ../src/elflint -q -d testfile.debug.temp
+testrun ../src/elflint -q -d testfile.debug.temp || status=$?
 
 # Now test unstrip recombining those files.
 testrun ../src/unstrip -o testfile.unstrip testfile.temp testfile.debug.temp
@@ -54,4 +56,4 @@
 testrun ../src/elfcmp --hash-inexact $original testfile.unstrip
 }
 
-exit 0
+exit $status